Bug 979660 - Review Request: perl-XML-Bare - Minimal XML parser implemented via a C state engine
Review Request: perl-XML-Bare - Minimal XML parser implemented via a C state ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 987717
  Show dependency treegraph
 
Reported: 2013-06-29 03:37 EDT by Christopher Meng
Modified: 2013-07-30 13:53 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-XML-Bare-0.53-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 13:53:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-29 03:37:00 EDT
Spec URL: http://cicku.me/perl-XML-Bare.spec
SRPM URL: http://cicku.me/perl-XML-Bare-0.52-1.fc20.src.rpm
Description: This module is a 'Bare' XML parser. It is implemented in C. The parser
itself is a simple state engine that is less than 500 lines of C. The
parser builds a C struct tree from input text. That C struct tree is
converted to a Perl hash by a Perl function that makes basic calls back to
the C to go through the nodes sequentially.
Fedora Account System Username: cicku
Comment 1 Parag AN(पराग) 2013-07-03 07:00:52 EDT
Review:

+ mock build is successful for f20

+ rpmlint output on rpms gave
perl-XML-Bare.src: W: spelling-error %description -l en_US struct -> strict, strut, struck
perl-XML-Bare.x86_64: W: spelling-error %description -l en_US struct -> strict, strut, struck
perl-XML-Bare.x86_64: W: spurious-executable-perm /usr/share/doc/perl-XML-Bare-0.52/META.json
perl-XML-Bare.x86_64: W: spurious-executable-perm /usr/share/doc/perl-XML-Bare-0.52/Changes
perl-XML-Bare.x86_64: W: spurious-executable-perm /usr/share/doc/perl-XML-Bare-0.52/README
perl-XML-Bare.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/XML/Bare.pm
perl-XML-Bare-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/XML-Bare-0.52/parser.c
perl-XML-Bare-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/XML-Bare-0.52/parser.c
perl-XML-Bare-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/XML-Bare-0.52/parser.h
3 packages and 0 specfiles checked; 2 errors, 7 warnings.
==> these should be fixed

+ Source verified with upstream as (sha256sum)
srpm tarball     : dc2e425282c4d55d152329ab14dd11c65b450dfcb06e97e81b18ad1c2b237dfb
upstream tarball : dc2e425282c4d55d152329ab14dd11c65b450dfcb06e97e81b18ad1c2b237dfb

- License "GPL+ or Artistic" is not exactly valid.

+ rest follows packaging guidelines

+ make test is successful with output
All tests successful.
Files=11, Tests=95,  2 wallclock secs ( 0.06 usr  0.01 sys +  1.14 cusr  0.21 csys =  1.42 CPU)

+ Package perl-XML-Bare-0.52-1.fc20
Provides: perl(XML::Bare) = 0.52 perl(XML::Bare::Object) perl-XML-Bare = 0.52-1.fc20 perl-XML-Bare(x86-64) = 0.52-1.fc20

Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libm.so.6()(64bit) perl(Carp) perl(Data::Dumper) perl(DynaLoader) perl(Exporter) perl(bytes) perl(strict) perl(utf8) perl(vars) rtld(GNU_HASH)

suggestions:
1) Requires are not needed these should be automatically detected. Also, remove versions from BR:

2) License should be "GPLv2+ or Artistic"
Comment 2 Christopher Meng 2013-07-03 08:15:40 EDT
Will fixed later.
Comment 3 David Helkowski 2013-07-16 18:39:38 EDT
I have fixed the improper executable permissions, the shebang error, and the line encoding error. Those changes are up in the 0.53 version of the module on Cpan.

I will change the license version soon as well; GPLv2+ or Artistic is intended.

I assume that the note about the license and the requires are just notes for the spec file created by Christopher. I will wait for him to update these, since I did not initiate the process and I would have the redo the process of creating a src rpm of my module.

Will keep an eye on this also; if it stagnates too long I will redo the spec and src.rpm.
Comment 4 Christopher Meng 2013-07-16 22:01:25 EDT
I've created an updated in Monday.

Spec URL: http://cicku.me/perl-XML-Bare.spec
SRPM URL: http://cicku.me/perl-XML-Bare-0.53-1.fc20.src.rpm
Comment 5 Parag AN(पराग) 2013-07-17 00:53:09 EDT
suggestions:
1) Fix rpmlint error message
perl-XML-Bare.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/XML/Bare.pm

Otherwise rest looks good. you can fix this at time of fedora import.

APPROVING this.
Comment 6 Christopher Meng 2013-07-17 01:11:36 EDT
New Package SCM Request
=======================
Package Name: perl-XML-Bare
Short Description: Minimal XML parser implemented via a C state engine
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 7 Gwyn Ciesla 2013-07-17 08:03:33 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-07-18 02:43:23 EDT
perl-XML-Bare-0.53-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-XML-Bare-0.53-1.fc18
Comment 9 Fedora Update System 2013-07-18 02:44:16 EDT
perl-XML-Bare-0.53-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-XML-Bare-0.53-1.fc19
Comment 10 Fedora Update System 2013-07-20 05:35:02 EDT
perl-XML-Bare-0.53-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2013-07-30 13:53:14 EDT
perl-XML-Bare-0.53-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-07-30 13:53:31 EDT
perl-XML-Bare-0.53-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.